<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.340
Name: Time frame of complication
Description: Template: Time frame of complication
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000">
   <title>Time frame of complication</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.340
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]
Item: (Timeframeofcomplication)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.340
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]
Item: (Timeframeofcomplication)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]"
         id="d119e10712-false-d133587e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="string(@classCode)=('OBS')">(Timeframeofcomplication): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="string(@moodCode)=('EVN')">(Timeframeofcomplication): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340'])&gt;=1">(Timeframeofcomplication): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340'])&lt;=1">(Timeframeofcomplication): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="count(hl7:code[(@code='263501003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Timeframeofcomplication): element hl7:code[(@code='263501003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="count(hl7:code[(@code='263501003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Timeframeofcomplication): element hl7:code[(@code='263501003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="count(hl7:text)&lt;=1">(Timeframeofcomplication): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Timeframeofcomplication): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.222-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(Timeframeofcomplication): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.222-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.222-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(Timeframeofcomplication): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.222-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.340
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']
Item: (Timeframeofcomplication)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']"
         id="d119e10718-false-d133661e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Timeframeofcomplication): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.340')">(Timeframeofcomplication): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.340' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.340
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:code[(@code='263501003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Timeframeofcomplication)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:code[(@code='263501003' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d119e10723-false-d133679e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Timeframeofcomplication): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="@nullFlavor or (@code='263501003' and @codeSystem='2.16.840.1.113883.6.96')">(Timeframeofcomplication): de elementwaarde MOET een zijn van 'code '263501003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.340
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:text
Item: (Timeframeofcomplication)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:text"
         id="d119e10728-false-d133699e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Timeframeofcomplication): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(Timeframeofcomplication): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(Timeframeofcomplication): element hl7:reference[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.340
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (Timeframeofcomplication)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d119e10730-false-d133725e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Timeframeofcomplication): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.340
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:statusCode
Item: (Timeframeofcomplication)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:statusCode"
         id="d119e10734-false-d133739e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Timeframeofcomplication): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="@nullFlavor or (@code='completed')">(Timeframeofcomplication): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.340
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.222-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (Timeframeofcomplication)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.340']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.222-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d119e10739-false-d133761e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Timeframeofcomplication): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.222-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Timeframeofcomplication): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.222 Time frame of incident/complication (DYNAMISCH)'.</assert>
   </rule>
</pattern>
