<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.558
Name: Specimen Microscopic Observation (bmh)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000">
   <title>Specimen Microscopic Observation (bmh)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]
Item: (SpecimenMicroscopicObservationbmh)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]
Item: (SpecimenMicroscopicObservationbmh)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]"
         id="d119e15727-false-d150211e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@classCode)=('CLUSTER')">(SpecimenMicroscopicObservationbmh): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@moodCode)=('EVN')">(SpecimenMicroscopicObservationbmh): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558'])&gt;=1">(SpecimenMicroscopicObservationbmh): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558'])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:code[(@code='22635-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(SpecimenMicroscopicObservationbmh): element hl7:code[(@code='22635-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:code[(@code='22635-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:code[(@code='22635-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(SpecimenMicroscopicObservationbmh): element hl7:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:statusCode[@code='completed'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:specimen)&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:specimen komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']
Item: (SpecimenMicroscopicObservationbmh)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']"
         id="d119e15733-false-d150297e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMicroscopicObservationbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.558')">(SpecimenMicroscopicObservationbmh): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.558' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(SpecimenMicroscopicObservationbmh): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:code[(@code='22635-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (SpecimenMicroscopicObservationbmh)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:code[(@code='22635-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d119e15738-false-d150318e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMicroscopicObservationbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="@nullFlavor or (@code='22635-7' and @codeSystem='2.16.840.1.113883.6.1')">(SpecimenMicroscopicObservationbmh): de elementwaarde MOET een zijn van 'code '22635-7' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (SpecimenMicroscopicObservationbmh)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d119e15743-false-d150338e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMicroscopicObservationbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="@nullFlavor or (@code='completed')">(SpecimenMicroscopicObservationbmh): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.557
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:specimen
Item: (SpecimenReference)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:specimen"
         id="d150339e31-false-d150359e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.557-2012-04-10T000000.html"
              test="string(@typeCode)=('SPC')">(SpecimenReference): de waarde van @typeCode MOET 'SPC' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.557
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:specimen/hl7:specimenRole
Item: (SpecimenReference)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:specimen/hl7:specimenRole"
         id="d150339e35-false-d150379e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.557-2012-04-10T000000.html"
              test="string(@classCode)=('SPEC')">(SpecimenReference): de waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.557-2012-04-10T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&gt;=1">(SpecimenReference): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.557-2012-04-10T000000.html"
              test="count(hl7:id[not(@nullFlavor)])&lt;=1">(SpecimenReference): element hl7:id[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.557
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:specimen/hl7:specimenRole/hl7:id[not(@nullFlavor)]
Item: (SpecimenReference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]
Item: (SpecimenMicroscopicObservationbmh)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]"
         id="d119e15751-false-d150417e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@typeCode)=('COMP')">(SpecimenMicroscopicObservationbmh): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@contextConductionInd)=('true')">(SpecimenMicroscopicObservationbmh): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SpecimenMicroscopicObservationbmh): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]
Item: (SpecimenMicroscopicObservationbmh)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]"
         id="d119e15772-false-d150449e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@classCode)=('BATTERY')">(SpecimenMicroscopicObservationbmh): de waarde van @classCode MOET 'BATTERY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@moodCode)=('EVN')">(SpecimenMicroscopicObservationbmh): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8'])&gt;=1">(SpecimenMicroscopicObservationbmh): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8'])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(SpecimenMicroscopicObservationbmh): element hl7:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:statusCode[@code='completed'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.432']]])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.432']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.433']]])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.433']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.434']]])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.434']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.435']]])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.435']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.436']]])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.436']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.437']]])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.437']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.438']]])&lt;=2">(SpecimenMicroscopicObservationbmh): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.438']]] komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.439']]])&lt;=1">(SpecimenMicroscopicObservationbmh): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.439']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.440']]])&gt;=1">(SpecimenMicroscopicObservationbmh): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.440']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.440']]])&lt;=2">(SpecimenMicroscopicObservationbmh): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.440']]] komt te vaak voor [max 2x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']
Item: (SpecimenMicroscopicObservationbmh)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']"
         id="d119e15778-false-d150662e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMicroscopicObservationbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.8.1.4.8')">(SpecimenMicroscopicObservationbmh): de waarde van @root MOET '1.3.6.1.4.1.19376.1.8.1.4.8' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(SpecimenMicroscopicObservationbmh): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (SpecimenMicroscopicObservationbmh)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d119e15783-false-d150683e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMicroscopicObservationbmh): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="@nullFlavor or (@code='completed')">(SpecimenMicroscopicObservationbmh): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.432']]]
Item: (SpecimenMicroscopicObservationbmh)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.432']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@typeCode)=('COMP')">(SpecimenMicroscopicObservationbmh): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@contextConductionInd)=('true')">(SpecimenMicroscopicObservationbmh): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SpecimenMicroscopicObservationbmh): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.433']]]
Item: (SpecimenMicroscopicObservationbmh)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.433']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@typeCode)=('COMP')">(SpecimenMicroscopicObservationbmh): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@contextConductionInd)=('true')">(SpecimenMicroscopicObservationbmh): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SpecimenMicroscopicObservationbmh): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.434']]]
Item: (SpecimenMicroscopicObservationbmh)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.434']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@typeCode)=('COMP')">(SpecimenMicroscopicObservationbmh): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@contextConductionInd)=('true')">(SpecimenMicroscopicObservationbmh): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SpecimenMicroscopicObservationbmh): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.435']]]
Item: (SpecimenMicroscopicObservationbmh)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.435']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@typeCode)=('COMP')">(SpecimenMicroscopicObservationbmh): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@contextConductionInd)=('true')">(SpecimenMicroscopicObservationbmh): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SpecimenMicroscopicObservationbmh): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.436']]]
Item: (SpecimenMicroscopicObservationbmh)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.436']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@typeCode)=('COMP')">(SpecimenMicroscopicObservationbmh): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@contextConductionInd)=('true')">(SpecimenMicroscopicObservationbmh): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SpecimenMicroscopicObservationbmh): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.437']]]
Item: (SpecimenMicroscopicObservationbmh)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.437']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@typeCode)=('COMP')">(SpecimenMicroscopicObservationbmh): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@contextConductionInd)=('true')">(SpecimenMicroscopicObservationbmh): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SpecimenMicroscopicObservationbmh): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.438']]]
Item: (SpecimenMicroscopicObservationbmh)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.438']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@typeCode)=('COMP')">(SpecimenMicroscopicObservationbmh): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@contextConductionInd)=('true')">(SpecimenMicroscopicObservationbmh): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SpecimenMicroscopicObservationbmh): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.439']]]
Item: (SpecimenMicroscopicObservationbmh)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.439']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@typeCode)=('COMP')">(SpecimenMicroscopicObservationbmh): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@contextConductionInd)=('true')">(SpecimenMicroscopicObservationbmh): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SpecimenMicroscopicObservationbmh): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.558
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.440']]]
Item: (SpecimenMicroscopicObservationbmh)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.558']]/hl7:component[hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]]/hl7:organizer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.4.8']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.440']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@typeCode)=('COMP')">(SpecimenMicroscopicObservationbmh): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SpecimenMicroscopicObservationbmh): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="string(@contextConductionInd)=('true')">(SpecimenMicroscopicObservationbmh): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20170505T123258/tmp-2.16.840.1.113883.2.4.3.36.10.558-2016-02-02T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SpecimenMicroscopicObservationbmh): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>
</pattern>
